version: '2.4'
services:
  node-init:
    image: "nexus.gz1.opensdn.io:5102/opensdn-node-init:nightly"
    env_file: /etc/contrail/common_kubemanager.env
    environment:
      - CONTRAIL_STATUS_IMAGE="nexus.gz1.opensdn.io:5102/opensdn-status:nightly"
    privileged: true
    pid: host
    network_mode: "host"
    volumes:
      - /usr/bin:/host/usr/bin
      - /etc/contrail/ssl/kubernetes-master:/etc/contrail/ssl
      - /etc/sysctl.d:/etc/sysctl.d
      - /etc/hosts:/etc/hosts
      - /var/log/contrail:/var/log/contrail
      - /etc/timezone:/etc/timezone
      - /etc/localtime:/etc/localtime
      - /var/crashes:/var/crashes
    logging:
      driver: json-file
      options:
        max-file: "5"
        max-size: "20m"

  kubemanager:
    image: "nexus.gz1.opensdn.io:5102/opensdn-kubernetes-kube-manager:nightly"
    env_file: /etc/contrail/common_kubemanager.env
    network_mode: host
    environment:
      - K8S_TOKEN=eyJhbGciOiJSUzI1NiIsImtpZCI6IjdJcnVtVnZUVGdtR2FjWXJPaFVqRU1paTJUeXJ4aVprXzNCMjN1T3I4dDQifQ.eyJpc3MiOiJrdWJlcm5ldGVzL3NlcnZpY2VhY2NvdW50Iiwia3ViZXJuZXRlcy5pby9zZXJ2aWNlYWNjb3VudC9uYW1lc3BhY2UiOiJjb250cmFpbCIsImt1YmVybmV0ZXMuaW8vc2VydmljZWFjY291bnQvc2VjcmV0Lm5hbWUiOiJjb250cmFpbC1rdWJlbWFuYWdlciIsImt1YmVybmV0ZXMuaW8vc2VydmljZWFjY291bnQvc2VydmljZS1hY2NvdW50Lm5hbWUiOiJjb250cmFpbC1rdWJlbWFuYWdlciIsImt1YmVybmV0ZXMuaW8vc2VydmljZWFjY291bnQvc2VydmljZS1hY2NvdW50LnVpZCI6ImZlYThlMDdkLTgxYjUtNGRmZi05ZTE0LTIyYjlmNGY2NWY1MSIsInN1YiI6InN5c3RlbTpzZXJ2aWNlYWNjb3VudDpjb250cmFpbDpjb250cmFpbC1rdWJlbWFuYWdlciJ9.QyfH4s6y17BHPCoRimU5gNFxo65HyPwJLIcMZDOvCkL2y7A4EjBwG1X24coDYRGn5mwmU2a1MnZ7zbjP2xisNLkOXC9oOuh5vOGTXtpyH2Y2wEZbZijZFawz23k_uPFw0XAlA6wCGNlJ2n0U9OeryOv3KlJuiWi_LEAnn6Duv6bZ2eJ_h-ZakO18YkJvMHAUmNHBg6Qm69GYsTZNqA3WXZkQVUumLTmUTWGPDWFWc_kSbz4v4IlMYYDn2nrTS8F3r_I8gjPEkn6XUEX1TAhDlcFbiFn4GkpbXmczxY8O4nITDEqEDcaGED9E-maTaQOmQDIhZpDly_luemWuggtCeA
    volumes_from:
      - node-init
    depends_on:
      - node-init
    restart: always
    logging:
      driver: json-file
      options:
        max-file: "5"
        max-size: "20m"
